Per CDV country comments CH_78, SE6, SE75 & NO71 for 301 Ed7:

Within the DCGround class the attribute 'r' (i.e. resistance to ground.) should be renamed to resistance so as to be consistent in other
areas of the CIM such as in DCLineSegment.resistance.

There are two schools on attribute naming.
Short alias names relating to quantity names is commonly used, e.g.

e P - active power
. Q - reactive power
. I - resistance
. X - reactance
. etc.

Verbose names describing the quantity:
. activePower

. reactivePower

. resistance

. reactance

. etc

Both are used but the alias naming is more common for p, q, r, x etc.

Having different attribute names for the same quantity increase complexity in implementations as more names must be handled for
the same quantity, e.g. EnergySource.activePower and RotatingMachine.p

Proposed Solution
Proposal to rename to resistance was discussed for inclusion in CIM18.

Note that these may be breaking changes and thus why deferred to CIM 18.

It was strongly suggested that we add to our modeling guidelines guide that the same name should be used for attributes that
represent the same information across all CIM classes.
Decision
14-Jan-2020 Decision to apply the proposed resolution when revving to CIM18

Oslo, 14 Jun 2023
Apply the changes following the decision in issue #6202

Release Notes
This issue is closed and no changes were applied following the final decision in ticket 6202.

History

#1 - 05/09/2022 10:39 AM - Yang Feng
- Subject changed from Per CDV country comments CH_78, SE6, SE75 & NO71 for 301 Ed to Inconsistent naming for p,q,r,x and others
- Proposed Solution updated

#2 - 02/11/2023 03:58 AM - Chavdar lvanov

- Status changed from New to Open

- Solution to be Applied To changed from 61970cim18 to CIM18
- Breaking Change changed from No to Yes

- Breaking Change Description set to Because attributes are renamed

Question: do we only fix DCGround.r or in all places where we have .r, .p. .q? For example in the converters in teh C package we have p and g.
SvPowerFlow and many other classes....

#3 - 02/11/2023 03:58 AM - Chavdar Ivanov

- Status changed from Open to Review

#4 - 06/14/2023 08:26 AM - Chavdar lvanov

- Decision updated

#5 - 02/04/2024 01:58 AM - Chavdar Ilvanov

- Status changed from Review to Closed

- Solution to be Applied To changed from CIM18 to CIM18v10

- Solution Version set to CIM18v10

- Solution Applied By set to Chavdar Ivanov

- Completion Date set to 02/04/2024

- Breaking Change changed from Yes to No

- Breaking Change Description deleted (Because attributes are renamed)

- Release Notes updated
